package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-计划单-签名信息对象 t_study_form_plan_qmxx
 *
 * @author hxhq
 * @date 2026-01-02
 */
@TableName("t_study_form_plan_qmxx")
public class StudyFormPlanQmxx extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 计划表单id */
    private Long formId;

    /** 签名意义 */
    private String qmyy;

    /** 签名意义-英文 */
    private String qmyyEn;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;

    /** 签名人名称-英文 */
    private String qmrMcEn;

    public String getQmyyEn() {
        return qmyyEn;
    }

    public void setQmyyEn(String qmyyEn) {
        this.qmyyEn = qmyyEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }

    public void setFormId(Long formId)
    {
        this.formId = formId;
    }

    public Long getFormId()
    {
        return formId;
    }

    public void setQmyy(String qmyy)
    {
        this.qmyy = qmyy;
    }

    public String getQmyy()
    {
        return qmyy;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public void setQmrMc(String qmrMc)
    {
        this.qmrMc = qmrMc;
    }

    public String getQmrMc()
    {
        return qmrMc;
    }

}
